/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\            Cboard            /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef BOARD_H_
#define BOARD_H_
/* Header Files */
#include <stdio.h>
#include <stdlib.h>
#include <curses.h>
#include <time.h>
#include "setting.h"
#include "move.h"
#include "engine.h"
/* Define Bool */
#define TRUE 1
#define FALSE 0
/* Define Array */
#define HIGH 9
#define LOW 9
/* Define Buffer */
#define MOV 8

/*---------------------------------------------------------------------------*/

/* Move */
char nmove[MOV];
char player[10];
/* Player */
int count;
float DUMP, HORIZ, VERTI;

/* Class Move */
struct uciMove
{
	char fxdec, fydec, txdec, tydec;
	int fxm, txm, fym, tym, tzm;

}mov1, mov8;

/* Class Engine */
struct uciEngine
{
	/* Clock */
	double diff;
	int time, horas, minutes, seconds;
	time_t start, stop;

}etime, wtime, btime;

/* Function */
void displayBoard(char *chess);

/*---------------------------------------------------------------------------*/

#endif
